Subject: bug#71765: 3.0.10: make check fails when configure --disable-tmpnam

From: Matt Wette <[email-masked]>
Date: Mon, 24 Jun 2024 17:22:25 -0700

In 3.0.10, if I use the --disable-tmpnam argument to configure, then 
`make check' fails

Running ports.test
Running posix.test
In execvp of something-that-does-not-exist: No such file or directory
In execvp of something-that-does-not-exist: No such file or directory
In execvp of something-that-does-not-exist: No such file or directory
ERROR: posix.test: system*: https://bugs.gnu.org/52835 - arguments: 
((unbound-variable #f "Unbound variable: ~S" (tmpnam) #f))
make[5]: *** [Makefile:2622: tests/posix.log] Error 1

ubuntu 23.10, x86_64